ResourceEntityResolver (BioJava-1.5-beta API)
Keywords: org.biojava.utils.xml.ResourceEntityResolver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.xml
Class ResourceEntityResolver

    java.lang.Object
      org.biojava.utils.xml.ResourceEntityResolver

All Implemented Interfaces:
  EntityResolver

    public class ResourceEntityResolver

extends Object
implements EntityResolver

SAX EntityResolve which looks up system IDs as resources from a Java ClassLoader.

Since:
  1.2
Author:
  Thomas Down

Constructor Summary
`ResourceEntityResolver(String path)` Construct a resolver which searches for resources in the specified path relative to the current classloader.
`ResourceEntityResolver(String[] path)` Construct a resolver which searches for resources in the specified list of directories relative to the current classloader.
`ResourceEntityResolver(String[] path, ClassLoader classLoader)` Construct a resolver which searches for resources in the specified list of directories relative to the supplied classloader.
`ResourceEntityResolver(String path, ClassLoader classLoader)` Construct a resolver which searches for resources in the specified path relative to the supplied classloader.

Method Summary
`InputSource` | `resolveEntity(String publicId, String systemId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceEntityResolver

    public ResourceEntityResolver(String path)

  Construct a resolver which searches for resources in the specified path relative to the current classloader.

### ResourceEntityResolver

    public ResourceEntityResolver(String[] path)

  Construct a resolver which searches for resources in the specified list of directories relative to the current classloader.

### ResourceEntityResolver

    public ResourceEntityResolver(String[] path,
                                  ClassLoader classLoader)

  Construct a resolver which searches for resources in the specified list of directories relative to the supplied classloader.

### ResourceEntityResolver

    public ResourceEntityResolver(String path,
                                  ClassLoader classLoader)

  Construct a resolver which searches for resources in the specified path relative to the supplied classloader.

Method Detail

### resolveEntity

    public InputSource resolveEntity(String publicId,
                                     String systemId)
                              throws SAXException,
                                     IOException

  Specified by:
    `resolveEntity` in interface `EntityResolver`
  Throws:
    `SAXException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD